Bug 12788 - After JSP page renaming the IDE crashes during the page execution
After JSP page renaming the IDE crashes during the page execution
Status: CLOSED FIXED
Product: javaee
Classification: Unclassified
Component: Code
-FFJ-
PC All
: P1 (vote)
: 3.x
Assigned To: Damian Frach
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-12 15:44 UTC by Marek Fukala
Modified: 2003-07-02 08:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
The exception (263.74 KB, text/plain)
2001-06-14 15:18 UTC, Marek Fukala
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Fukala 2001-06-12 15:44:14 UTC
[010611_2, jdk1.3.0, rh linux 6.2]
How to reproduce:
1) create a JSP file
2) execute it
3) rename it
4) execute it again

After applying these steps the IDE show exception in notify dialog (attached)
and after some time (about 10-30 sec.) java VM crashes with this message:

'An irrecoverable stack overflow has occurred.'

Then even if the IDE is restarted the some problem occurs during execution of
the JSP page.
Comment 1 Marek Fukala 2001-06-12 16:53:04 UTC
These problems occur after a few JSP page compilation (renaming of the JSP is
not a condition).
Comment 2 Marek Fukala 2001-06-14 15:18:25 UTC
Created attachment 1581 [details]
The exception
Comment 3 Damian Frach 2001-06-15 16:37:34 UTC
waiting for code review
Comment 4 Damian Frach 2001-06-18 15:57:10 UTC
other problem: after compiling and renaming the popup menu showing throws 
exception "invalid file state exception"
Comment 5 Petr Jiricka 2001-06-19 14:47:54 UTC
Fixed on June 19, 2001
Comment 6 Marek Fukala 2001-06-27 14:31:00 UTC
[010625_1]
Comment 7 Quality Engineering 2003-07-02 08:31:56 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo